CREATE TABLE cmp_cwb_person_groups (
    GROUP_PER_IN_LER_ID            NUMBER(18, 0) ,
    BUSINESS_GROUP_ID              NUMBER(18, 0)     NOT NULL,
    GROUP_PL_ID                    NUMBER(18, 0) ,
    GROUP_OIPL_ID                  NUMBER(18, 0) ,
    LF_EVT_OCRD_DT                 DATE              NOT NULL,
    BDGT_POP_CD                    VARCHAR2(120) ,
    DUE_DT                         DATE          ,
    ACCESS_CD                      VARCHAR2(120) ,
    APPROVAL_CD                    VARCHAR2(120) ,
    APPROVAL_DATE                  DATE          ,
    APPROVAL_COMMENTS              VARCHAR2(4000),
    SUBMIT_CD                      VARCHAR2(120) ,
    SUBMIT_DATE                    DATE          ,
    SUBMIT_COMMENTS                VARCHAR2(4000),
    DIST_BDGT_VAL                  NUMBER        ,
    WS_BDGT_VAL                    NUMBER        ,
    RSRV_VAL                       NUMBER        ,
    DIST_BDGT_MN_VAL               NUMBER        ,
    DIST_BDGT_MX_VAL               NUMBER        ,
    DIST_BDGT_INCR_VAL             NUMBER        ,
    WS_BDGT_MN_VAL                 NUMBER        ,
    WS_BDGT_MX_VAL                 NUMBER        ,
    WS_BDGT_INCR_VAL               NUMBER        ,
    RSRV_MN_VAL                    NUMBER        ,
    RSRV_MX_VAL                    NUMBER        ,
    RSRV_INCR_VAL                  NUMBER        ,
    DIST_BDGT_ISS_VAL              NUMBER        ,
    WS_BDGT_ISS_VAL                NUMBER        ,
    DFLT_DIST_BDGT_VAL             NUMBER        ,
    DFLT_WS_BDGT_VAL               NUMBER        ,
    DIST_BDGT_ISS_DATE             DATE          ,
    WS_BDGT_ISS_DATE               DATE          ,
    WS_BDGT_VAL_LAST_UPD_DATE      DATE          ,
    DIST_BDGT_VAL_LAST_UPD_DATE    DATE          ,
    RSRV_VAL_LAST_UPD_DATE         DATE          ,
    WS_BDGT_VAL_LAST_UPD_BY        NUMBER(18, 0) ,
    DIST_BDGT_VAL_LAST_UPD_BY      NUMBER(18, 0) ,
    RSRV_VAL_LAST_UPD_BY           NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    GROUP_PER_IN_LER_ID            NUMBER(18, 0) ,
    BUSINESS_GROUP_ID              NUMBER(18, 0)     NOT NULL,
    GROUP_PL_ID                    NUMBER(18, 0) ,
    GROUP_OIPL_ID                  NUMBER(18, 0) ,
    LF_EVT_OCRD_DT                 DATE              NOT NULL,
    BDGT_POP_CD                    VARCHAR2(120) ,
    DUE_DT                         DATE          ,
    ACCESS_CD                      VARCHAR2(120) ,
    APPROVAL_CD                    VARCHAR2(120) ,
    APPROVAL_DATE                  DATE          ,
    APPROVAL_COMMENTS              VARCHAR2(4000),
    SUBMIT_CD                      VARCHAR2(120) ,
    SUBMIT_DATE                    DATE          ,
    SUBMIT_COMMENTS                VARCHAR2(4000),
    DIST_BDGT_VAL                  NUMBER        ,
    WS_BDGT_VAL                    NUMBER        ,
    RSRV_VAL                       NUMBER        ,
    DIST_BDGT_MN_VAL               NUMBER        ,
    DIST_BDGT_MX_VAL               NUMBER        ,
    DIST_BDGT_INCR_VAL             NUMBER        ,
    WS_BDGT_MN_VAL                 NUMBER        ,
    WS_BDGT_MX_VAL                 NUMBER        ,
    WS_BDGT_INCR_VAL               NUMBER        ,
    RSRV_MN_VAL                    NUMBER        ,
    RSRV_MX_VAL                    NUMBER        ,
    RSRV_INCR_VAL                  NUMBER        ,
    DIST_BDGT_ISS_VAL              NUMBER        ,
    WS_BDGT_ISS_VAL                NUMBER        ,
    DFLT_DIST_BDGT_VAL             NUMBER        ,
    DFLT_WS_BDGT_VAL               NUMBER        ,
    DIST_BDGT_ISS_DATE             DATE          ,
    WS_BDGT_ISS_DATE               DATE          ,
    WS_BDGT_VAL_LAST_UPD_DATE      DATE          ,
    DIST_BDGT_VAL_LAST_UPD_DATE    DATE          ,
    RSRV_VAL_LAST_UPD_DATE         DATE          ,
    WS_BDGT_VAL_LAST_UPD_BY        NUMBER(18, 0) ,
    DIST_BDGT_VAL_LAST_UPD_BY      NUMBER(18, 0) ,
    RSRV_VAL_LAST_UPD_BY           NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    CONSTRAINT pk_cmp_cwb_person_groups PRIMARY KEY (GROUP_PER_IN_LER_ID, GROUP_PL_ID, GROUP_OIPL_ID, GROUP_PER_IN_LER_ID, GROUP_PL_ID, GROUP_OIPL_ID)
);
